import React from 'react';
import { render, cleanup } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';

import { authorObject } from '~tests/factories/modules/author-box.factory';
import Expertion from '.';

describe('expertise component', () => {
  test('render component', () => {
    const author = authorObject;
    const { container } = render(<Expertion expertise={author?.expertise} />);

    expect(container).toBeTruthy();
  });
  test('render all expertise lists', () => {
    const author = authorObject;
    const { container, getByText } = render(<Expertion expertise={author?.expertise} />);

    expect(container).toBeTruthy();
    expect(getByText('Expert on:')).toBeTruthy();
    expect(container.querySelectorAll('span').length).toBe(3);
    expect(container.querySelector('span')).toHaveTextContent('Online Casinos');
  });
});
afterEach(() => {
  cleanup();
});
