/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';
import { newsLetterForm } from '../../../constants/forms';

import Newsletter from '.';

export default {
  title: 'Theme/Layout/Newsletter/Newsletter',
  component: Newsletter,
  argTypes: {
    page: {
      name: 'page',
      type: { name: 'object', required: true },
      defaultValue: null,
      description: 'The page object.',
    },
  },
  parameters: {
    docs: {
      description: {
        component: 'Newsletter component',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <Newsletter {...args} isSticky={false} />;

export const Default = Template.bind({});
Default.args = {
  page: {},
  ...newsLetterForm.default,
  openBtnText: 'Unlock Bonuses',
};
