/* eslint-disable no-return-assign */
import React, { lazy, Suspense } from 'react';
import PropTypes from 'prop-types';

/* eslint-disable react/no-danger */

const Accordion = ({ page, module, openAll = false, openItem, closeOthers = false }) => {
  let ModuleComponent = null;

  switch (module.style) {
    case 'template_one':
      ModuleComponent = lazy(() => import('./variants/template-one'));
      return (
        <Suspense fallback={<></>}>
          <ModuleComponent
            module={module}
            openAll={openAll}
            openItem={openItem}
            closeOthers={closeOthers}
          />
        </Suspense>
      );
    case 'template_two':
      ModuleComponent = lazy(() => import('./variants/template-two'));
      return (
        <Suspense fallback={<></>}>
          <ModuleComponent module={module} author={page?.author} />
        </Suspense>
      );
    default:
      ModuleComponent = lazy(() => import('./variants/template-one'));
      return (
        <Suspense fallback={<></>}>
          <ModuleComponent
            module={module}
            openAll={openAll}
            openItem={openItem}
            closeOthers={closeOthers}
          />
        </Suspense>
      );
  }
};

Accordion.propTypes = {
  module: PropTypes.shape({
    anchor_label: PropTypes.string,
    style: PropTypes.string,
    items: PropTypes.arrayOf(
      PropTypes.shape({
        title: PropTypes.string,
        content: PropTypes.string,
      })
    ),
  }).isRequired,
  page: PropTypes.shape({
    author: PropTypes.shape({}),
  }),
  openAll: PropTypes.bool,
  openItem: PropTypes.number,
  closeOthers: PropTypes.bool,
  styles: PropTypes.shape({}),
};

export default Accordion;
